## mingw-w64-cgal-5.6.1-2.src.tar.zst

=== demo/Hyperbolic_triangulation_2/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1...3.23)
project(Hyperbolic_triangulation_2_Demo)

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)

if(POLICY CMP0071)
  cmake_policy(SET CMP0071 NEW)
endif()

find_package(CGAL REQUIRED OPTIONAL_COMPONENTS Core Qt5)
find_package(LEDA QUIET)

# Find Qt5 itself
find_package(Qt5 QUIET COMPONENTS Widgets)

if(CGAL_Qt5_FOUND
   AND Qt5_FOUND
   AND (CGAL_Core_FOUND OR LEDA_FOUND))
  # ui files, created with Qt Designer
  qt5_wrap_ui(UIS HDT2.ui)

  qt5_add_resources(RESOURCE_FILES resources/Delaunay_triangulation_2.qrc)

  # cpp files
  add_executable ( HDT2 HDT2.cpp ${CGAL_Qt5_RESOURCE_FILES} ${RESOURCE_FILES} ${UIS})
  target_include_directories(HDT2 PRIVATE ./ ./include)
  add_to_cached_list( CGAL_EXECUTABLE_TARGETS HDT2 )
  target_link_libraries ( HDT2 CGAL::CGAL CGAL::CGAL_Qt5 Qt5::Widgets)
  if(CGAL_Core_FOUND)
    target_link_libraries ( HDT2 CGAL::CGAL_Core)
  else()
    target_link_libraries ( HDT2 ${LEDA_LIBRARIES})
  endif()

  include(${CGAL_MODULES_DIR}/CGAL_add_test.cmake)
  cgal_add_compilation_test( HDT2 )
else()
  message("NOTICE: This demo requires CGAL_Core (or LEDA), and Qt5 and will not be compiled.")
endif()

=== examples/Advancing_front_surface_reconstruction/CMakeLists.txt ===
# Created by the script cgal_create_cmake_script
# This is the CMake script for compiling a CGAL application.

cmake_minimum_required(VERSION 3.1...3.23)
project(Advancing_front_surface_reconstruction_Examples)

find_package(CGAL REQUIRED)

# create a target per cppfile
file(
  GLOB cppfiles
  RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp)
foreach(cppfile ${cppfiles})
  create_single_source_cgal_program("${cppfile}")
endforeach()

=== examples/Alpha_wrap_3/CMakeLists.txt ===
# Created by the script cgal_create_cmake_script
# This is the CMake script for compiling a CGAL application.

cmake_minimum_required(VERSION 3.1...3.23)
project(Alpha_wrap_3_Examples)

find_package(CGAL REQUIRED)

# create a target per cppfile
create_single_source_cgal_program("triangle_mesh_wrap.cpp")
create_single_source_cgal_program("triangle_soup_wrap.cpp")
create_single_source_cgal_program("point_set_wrap.cpp")
create_single_source_cgal_program("wrap_from_cavity.cpp")
create_single_source_cgal_program("mixed_inputs_wrap.cpp")

=== examples/Approximate_min_ellipsoid_d/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1...3.23)
project(Approximate_min_ellipsoid_d_Examples)

find_package(CGAL REQUIRED)

# Use Eigen
find_package(Eigen3 3.1.0 QUIET) #(3.1.0 or greater)
include(CGAL_Eigen3_support)

# create a target per cppfile
file(
  GLOB cppfiles
  RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp)
foreach(cppfile ${cppfiles})
  if(NOT (${cppfile} STREQUAL "ellipsoid.cpp") OR TARGET CGAL::Eigen3_support)
    get_filename_component(target ${cppfile} NAME_WE)
    create_single_source_cgal_program(${cppfile})
    if(TARGET CGAL::Eigen3_support)
      target_link_libraries(${target} PRIVATE CGAL::CGAL CGAL::Eigen3_support)
    else()
      target_link_libraries(${target} PRIVATE CGAL::CGAL)
    endif()
  endif()
endforeach()

=== examples/Barycentric_coordinates_2/CMakeLists.txt ===
# Created by the script cgal_create_cmake_script.
# This is the CMake script for compiling a CGAL application.

cmake_minimum_required(VERSION 3.1...3.23)

project(Barycentric_coordinates_2_Examples)

find_package(CGAL REQUIRED COMPONENTS Core)

create_single_source_cgal_program("segment_coordinates.cpp")
create_single_source_cgal_program("triangle_coordinates.cpp")
create_single_source_cgal_program("wachspress_coordinates.cpp")
create_single_source_cgal_program("mean_value_coordinates.cpp")
create_single_source_cgal_program("discrete_harmonic_coordinates.cpp")
create_single_source_cgal_program("terrain_height_modeling.cpp")

# this code is deprecated:
create_single_source_cgal_program("deprecated_coordinates.cpp")

find_package(Eigen3 3.1.0 QUIET) # (3.1.0 or greater)
include(CGAL_Eigen3_support)
if(TARGET CGAL::Eigen3_support)
  create_single_source_cgal_program("affine_coordinates.cpp")
  target_link_libraries(affine_coordinates PUBLIC CGAL::Eigen3_support)
  create_single_source_cgal_program("harmonic_coordinates.cpp")
  target_link_libraries(harmonic_coordinates PUBLIC CGAL::Eigen3_support)
  create_single_source_cgal_program("shape_deformation.cpp")
  target_link_libraries(shape_deformation PUBLIC CGAL::Eigen3_support)
else()
  message(STATUS "NOTICE: Several examples require the Eigen library, and will not be compiled.")
endif()

=== examples/Heat_method_3/CMakeLists.txt ===
# Created by the script cgal_create_CMakeLists
# This is the CMake script for compiling a set of CGAL applications.

cmake_minimum_required(VERSION 3.1...3.23)
project(Heat_method_3_Examples)

# CGAL and its components
find_package(CGAL REQUIRED)

find_package(Eigen3 3.3.0 QUIET)
include(CGAL_Eigen3_support)
if(NOT TARGET CGAL::Eigen3_support)
  message("NOTICE: These examples require the Eigen library (3.3 or greater), and will not be compiled.")
  return()
endif()

# include for local directory
include_directories(BEFORE include)

create_single_source_cgal_program("heat_method.cpp")
target_link_libraries(heat_method PUBLIC CGAL::Eigen3_support)
create_single_source_cgal_program("heat_method_polyhedron.cpp")
target_link_libraries(heat_method_polyhedron PUBLIC CGAL::Eigen3_support)
create_single_source_cgal_program("heat_method_surface_mesh.cpp")
target_link_libraries(heat_method_surface_mesh PUBLIC CGAL::Eigen3_support)
create_single_source_cgal_program("heat_method_surface_mesh_direct.cpp")
target_link_libraries(heat_method_surface_mesh_direct PUBLIC CGAL::Eigen3_support)

=== examples/Segment_Delaunay_graph_Linf_2/CMakeLists.txt ===
# Created by the script cgal_create_cmake_script
# This is the CMake script for compiling a CGAL application.

cmake_minimum_required(VERSION 3.1...3.23)
project(Segment_Delaunay_graph_Linf_2_Examples)

find_package(CGAL REQUIRED)

create_single_source_cgal_program("sdg-count-sites-linf.cpp")
create_single_source_cgal_program("sdg-fast-sp-linf.cpp")
create_single_source_cgal_program("sdg-fast-sp-polygon-linf.cpp")
create_single_source_cgal_program("sdg-filtered-traits-linf.cpp")
create_single_source_cgal_program("sdg-info-set-linf.cpp")
create_single_source_cgal_program("sdg-red-blue-info-linf.cpp")
create_single_source_cgal_program("sdg-voronoi-edges-linf.cpp")
create_single_source_cgal_program("sdg-voronoi-edges-exact-linf.cpp")
create_single_source_cgal_program("print-sdg-linf.cpp")

=== examples/Shape_regularization/CMakeLists.txt ===
# Created by the script cgal_create_CMakeLists.
# This is the CMake script for compiling a set of CGAL applications.

cmake_minimum_required(VERSION 3.1...3.23)

project(Shape_regularization_Examples)

find_package(CGAL REQUIRED COMPONENTS Core)

# Find OSQP library and headers.
find_package(OSQP QUIET)
include(CGAL_OSQP_support)
if(TARGET CGAL::OSQP_support)
  message(STATUS "Found OSQP")

  set(osqp_targets
  regularize_15_segments
  regularize_100_segments_angles
  regularize_100_segments_offsets
  regularize_simple)

  foreach(osqp_target ${osqp_targets})
    create_single_source_cgal_program("${osqp_target}.cpp")
    if(TARGET ${osqp_target})
      target_link_libraries(${osqp_target} PUBLIC CGAL::OSQP_support)
    endif()
  endforeach()

  # Use Eigen.
  find_package(Eigen3 3.1.0 QUIET) # (3.1.0 or greater)
  include(CGAL_Eigen3_support)
  if(TARGET CGAL::Eigen3_support)
    message(STATUS "Found Eigen")

    create_single_source_cgal_program("regularize_real_data_2.cpp")
    target_link_libraries(regularize_real_data_2 PUBLIC CGAL::Eigen3_support CGAL::OSQP_support)
  else()
    message(STATUS "NOTICE: Eigen was not found. Eigen examples won't be available.")
  endif()
else()
  message(STATUS "NOTICE: OSQP was not found. OSQP examples won't be available.")
endif()

create_single_source_cgal_program("regularize_framework.cpp")
create_single_source_cgal_program("regularize_planes.cpp")
create_single_source_cgal_program("regularize_contour.cpp")
create_single_source_cgal_program("regularize_closed_contour.cpp")
create_single_source_cgal_program("regularize_open_contour.cpp")

=== examples/TDS_3/CMakeLists.txt ===
# Created by the script cgal_create_cmake_script
# This is the CMake script for compiling a CGAL application.

cmake_minimum_required(VERSION 3.1...3.23)
project(TDS_3_Examples)

find_package(CGAL REQUIRED)

# create a target per cppfile
file(
  GLOB cppfiles
  RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp)
foreach(cppfile ${cppfiles})
  create_single_source_cgal_program("${cppfile}")
endforeach()

=== demo/Polyhedron/Plugins/Display/CMakeLists.txt ===
include(polyhedron_demo_macros)
if(TARGET CGAL::Eigen3_support)
  qt5_wrap_ui( display_propertyUI_FILES Display_property.ui )
  polyhedron_demo_plugin(display_property_plugin Display_property_plugin ${display_propertyUI_FILES} KEYWORDS Viewer)
  target_link_libraries(display_property_plugin
    PUBLIC
    scene_surface_mesh_item
    scene_points_with_normal_item
    scene_color_ramp
    CGAL::Eigen3_support)
endif()

=== demo/Polyhedron/Plugins/PMP/CMakeLists.txt ===
include(polyhedron_demo_macros)

if(TARGET CGAL::Eigen3_support)
  polyhedron_demo_plugin(jet_fitting_plugin Jet_fitting_plugin)
  target_link_libraries(
    jet_fitting_plugin PUBLIC scene_surface_mesh_item scene_polylines_item
                              CGAL::Eigen3_support)
else()
  message(STATUS "NOTICE: Eigen 3.1 (or greater) was not found. Jet fitting plugin will not be available.")
endif()

polyhedron_demo_plugin(extrude_plugin Extrude_plugin KEYWORDS PMP)
target_link_libraries(extrude_plugin PUBLIC scene_surface_mesh_item
                                            scene_selection_item)

if(TARGET CGAL::Eigen3_support)
  if("${EIGEN3_VERSION}" VERSION_GREATER "3.1.90")
    qt5_wrap_ui( hole_fillingUI_FILES Hole_filling_widget.ui)
    polyhedron_demo_plugin(hole_filling_plugin Hole_filling_plugin ${hole_fillingUI_FILES} KEYWORDS PMP)
    target_link_libraries(hole_filling_plugin PUBLIC scene_surface_mesh_item scene_polylines_item scene_selection_item CGAL::Eigen3_support)

    qt5_wrap_ui( fairingUI_FILES Fairing_widget.ui)
    polyhedron_demo_plugin(fairing_plugin Fairing_plugin ${fairingUI_FILES} KEYWORDS PMP)
    target_link_libraries(fairing_plugin PUBLIC scene_selection_item CGAL::Eigen3_support)

    qt5_wrap_ui( Mean_curvature_flow_skeleton_pluginUI_FILES  Mean_curvature_flow_skeleton_plugin.ui)
    polyhedron_demo_plugin(mean_curvature_flow_skeleton_plugin Mean_curvature_flow_skeleton_plugin ${Mean_curvature_flow_skeleton_pluginUI_FILES})
    target_link_libraries(mean_curvature_flow_skeleton_plugin
      PUBLIC
        scene_surface_mesh_item
        scene_points_with_normal_item
        scene_polylines_item
        scene_mcf_item
        demo_framework
        CGAL::Eigen3_support)
    # The smoothing plugin can still do some things, even if Ceres is not found
    qt5_wrap_ui( smoothingUI_FILES Smoothing_plugin.ui Smoothing_tangential_relaxation.ui)
    polyhedron_demo_plugin(smoothing_plugin Smoothing_plugin ${smoothingUI_FILES})
    target_link_libraries(smoothing_plugin PUBLIC scene_surface_mesh_item scene_selection_item CGAL::Eigen3_support)
    find_package(Ceres QUIET)
    include(CGAL_Ceres_support)
    if(TARGET CGAL::Ceres_support)
      target_link_libraries(smoothing_plugin PUBLIC CGAL::Ceres_support)
    endif()

    set_package_properties(
      Ceres PROPERTIES
      DESCRIPTION "A large scale non-linear optimization library."
      PURPOSE "Can be used as a solver in the smoothing plugin.")
    target_link_libraries(extrude_plugin PUBLIC CGAL::Eigen3_support)

    qt5_wrap_ui(remeshPlanarPatchesUI_FILES Remesh_planar_patches_dialog.ui)
    polyhedron_demo_plugin(remesh_planar_patches_plugin Remesh_planar_patches_plugin
                           ${remeshPlanarPatchesUI_FILES} KEYWORDS PMP)
    target_link_libraries(remesh_planar_patches_plugin PUBLIC scene_surface_mesh_item CGAL::Eigen3_support)

    if(BUILD_TESTING AND NOT CMAKE_VS_MSBUILD_COMMAND)
      set_tests_properties(
        "compilation of  extrude_plugin"
        "compilation of  fairing_plugin"
        PROPERTIES RESOURCE_LOCK Selection_test_resources)
      set_tests_properties(
      "compilation of  hole_filling_plugin"
      "compilation of  smoothing_plugin"
      PROPERTIES RESOURCE_LOCK Selection_test_resources)
    endif()
  else()
    message(STATUS "NOTICE: The hole filling and fairing plugins require Eigen 3.2 (or higher) and will not be available.")
  endif()
else()
  message(STATUS "NOTICE: The hole filling and fairing plugins require Eigen 3.2 (or higher) and will not be available.")
endif()

qt5_wrap_ui(soupUI_FILES Repair_soup.ui)
polyhedron_demo_plugin(orient_soup_plugin Orient_soup_plugin ${soupUI_FILES}
                       KEYWORDS Classification PMP)
target_link_libraries(
  orient_soup_plugin PUBLIC scene_polygon_soup_item scene_surface_mesh_item
                            scene_polylines_item scene_points_with_normal_item)

polyhedron_demo_plugin(inside_out_plugin Inside_out_plugin KEYWORDS PMP)

target_link_libraries(inside_out_plugin PUBLIC scene_surface_mesh_item scene_polygon_soup_item)

polyhedron_demo_plugin(join_and_split_plugin Join_and_split_polyhedra_plugin KEYWORDS PMP)
target_link_libraries(join_and_split_plugin PUBLIC scene_surface_mesh_item scene_selection_item)

qt5_wrap_ui( point_inside_polyhedronUI_FILES Point_inside_polyhedron_widget.ui)
polyhedron_demo_plugin(point_inside_polyhedron_plugin Point_inside_polyhedron_plugin ${point_inside_polyhedronUI_FILES})
target_link_libraries(point_inside_polyhedron_plugin PUBLIC scene_surface_mesh_item scene_points_with_normal_item)

qt5_wrap_ui( polyhedron_slicerUI_FILES Polyhedron_slicer_widget.ui)
polyhedron_demo_plugin(polyhedron_slicer_plugin Polyhedron_slicer_plugin ${polyhedron_slicerUI_FILES})
target_link_libraries(polyhedron_slicer_plugin PUBLIC scene_surface_mesh_item scene_basic_objects scene_polylines_item)

polyhedron_demo_plugin(polyhedron_stitching_plugin Polyhedron_stitching_plugin KEYWORDS PMP)
target_link_libraries(polyhedron_stitching_plugin PUBLIC scene_surface_mesh_item scene_polylines_item)

qt5_wrap_ui( selectionUI_FILES Selection_widget.ui)
polyhedron_demo_plugin(selection_plugin Selection_plugin ${selectionUI_FILES} KEYWORDS PMP Viewer Classification Mesh_3)
target_link_libraries(selection_plugin PUBLIC scene_selection_item scene_points_with_normal_item scene_polylines_item)

#to keep it simple to compile
add_custom_target(self_intersection_plugin)
add_dependencies(self_intersection_plugin selection_plugin)

polyhedron_demo_plugin(triangulate_facets_plugin Triangulate_facets_plugin KEYWORDS PMP)
target_link_libraries(triangulate_facets_plugin PUBLIC scene_surface_mesh_item scene_selection_item scene_polygon_soup_item)

polyhedron_demo_plugin(corefinement_plugin Corefinement_plugin KEYWORDS PMP)
target_link_libraries(corefinement_plugin PUBLIC scene_surface_mesh_item)

polyhedron_demo_plugin(surface_intersection_plugin Surface_intersection_plugin
                       KEYWORDS PMP)
target_link_libraries(
  surface_intersection_plugin
  PUBLIC scene_surface_mesh_item scene_polylines_item
         scene_points_with_normal_item)

qt5_wrap_ui( repairUI_FILES RemoveNeedlesDialog.ui SelfSnapDialog.ui)
polyhedron_demo_plugin(repair_polyhedron_plugin Repair_polyhedron_plugin  ${repairUI_FILES} KEYWORDS PMP)
target_link_libraries(repair_polyhedron_plugin PUBLIC scene_points_with_normal_item scene_surface_mesh_item)

qt5_wrap_ui(isotropicRemeshingUI_FILES Isotropic_remeshing_dialog.ui)
polyhedron_demo_plugin(isotropic_remeshing_plugin Isotropic_remeshing_plugin
                       ${isotropicRemeshingUI_FILES} KEYWORDS PMP)
target_link_libraries(isotropic_remeshing_plugin PUBLIC scene_surface_mesh_item
                                                        scene_selection_item)

if(TARGET CGAL::TBB_support)
  target_link_libraries(isotropic_remeshing_plugin PUBLIC CGAL::TBB_support)
endif()

polyhedron_demo_plugin(distance_plugin Distance_plugin KEYWORDS PMP)
target_link_libraries(distance_plugin PUBLIC scene_surface_mesh_item
                                             scene_color_ramp)
if(TARGET CGAL::TBB_support)
  target_link_libraries(distance_plugin PUBLIC CGAL::TBB_support)
endif()

polyhedron_demo_plugin(detect_sharp_edges_plugin Detect_sharp_edges_plugin KEYWORDS Viewer Mesh_3 PMP)
target_link_libraries(detect_sharp_edges_plugin PUBLIC scene_surface_mesh_item)

qt5_wrap_ui(randomPerturbationUI_FILES Random_perturbation_dialog.ui)
polyhedron_demo_plugin(random_perturbation_plugin Random_perturbation_plugin
                       ${randomPerturbationUI_FILES} KEYWORDS PMP)
target_link_libraries(random_perturbation_plugin PUBLIC scene_surface_mesh_item
                                                        scene_selection_item)

polyhedron_demo_plugin(degenerated_faces_plugin Degenerated_faces_plugin
                       KEYWORDS PMP)
target_link_libraries(degenerated_faces_plugin PUBLIC scene_surface_mesh_item
                                                      scene_selection_item)

qt5_wrap_ui(engravUI_FILES Engrave_dock_widget.ui)
polyhedron_demo_plugin(engrave_text_plugin Engrave_text_plugin
                       ${engravUI_FILES})
target_link_libraries(
  engrave_text_plugin PUBLIC scene_surface_mesh_item scene_selection_item
                             scene_polylines_item)

if(BUILD_TESTING AND NOT CMAKE_VS_MSBUILD_COMMAND)
  set_tests_properties(
    "compilation of  join_and_split_plugin"
    "compilation of  selection_plugin"
    "compilation of  triangulate_facets_plugin"
    "compilation of  isotropic_remeshing_plugin"
    "compilation of  remesh_planar_patches_plugin"
    "compilation of  random_perturbation_plugin"
    "compilation of  engrave_text_plugin"
    "compilation of  degenerated_faces_plugin"
    PROPERTIES RESOURCE_LOCK Selection_test_resources)
endif()

=== demo/Polyhedron/Plugins/Surface_mesh_deformation/CMakeLists.txt ===
include(polyhedron_demo_macros)

if(TARGET CGAL::Eigen3_support AND "${EIGEN3_VERSION}" VERSION_GREATER "3.1.90")

  polyhedron_demo_plugin(edit_plugin Edit_polyhedron_plugin Deform_mesh.ui)
  target_link_libraries(edit_plugin PUBLIC scene_surface_mesh_item
                                           scene_edit_item scene_selection_item)

  if(BUILD_TESTING AND NOT CMAKE_VS_MSBUILD_COMMAND)
    set_tests_properties(
      "compilation of  edit_plugin"
      PROPERTIES RESOURCE_LOCK Selection_test_resources)
  endif()

else()
  message(STATUS "NOTICE: The polyhedron edit plugin requires Eigen 3.2 (or higher) and will not be available.")
endif()

=== PKGBUILD ===
# Maintainer: Alexey Pavlov <alexpux@gmail.com>

_realname=cgal
pkgbase=mingw-w64-${_realname}
pkgname="${MINGW_PACKAGE_PREFIX}-${_realname}"
pkgver=5.6.1
pkgrel=2
pkgdesc="Computational Geometry Algorithms Library (mingw-w64)"
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url="https://www.cgal.org/"
msys2_repository_url="https://github.com/CGAL/cgal"
msys2_references=(
  "cpe: cpe:/a:cgal:computational_geometry_algorithms_library"
)
license=("spdx:CC0-1.0 AND BSL-1.0 AND MIT AND LGPL-3.0-or-later AND GPL-3.0-or-later")
makedepends=("${MINGW_PACKAGE_PREFIX}-cc"
             "${MINGW_PACKAGE_PREFIX}-cmake"
             "${MINGW_PACKAGE_PREFIX}-ninja")
depends=("${MINGW_PACKAGE_PREFIX}-boost"
         "${MINGW_PACKAGE_PREFIX}-eigen3"
         "${MINGW_PACKAGE_PREFIX}-gmp"
         "${MINGW_PACKAGE_PREFIX}-mpfr")
optdepends=("${MINGW_PACKAGE_PREFIX}-qt5-svg: for CGAL_Qt5"
            "${MINGW_PACKAGE_PREFIX}-qt5-script: for CGAL_Qt5"
            "${MINGW_PACKAGE_PREFIX}-tbb: for some packages, see the CGAL manual")
source=(https://github.com/CGAL/cgal/releases/download/v${pkgver}/CGAL-${pkgver}.tar.xz)
sha256sums=('cdb15e7ee31e0663589d3107a79988a37b7b1719df3d24f2058545d1bcdd5837')

build() {
  mkdir -p ${srcdir}/build-${MSYSTEM} && cd ${srcdir}/build-${MSYSTEM}

  MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX=" \
  ${MINGW_PREFIX}/bin/cmake \
      -G"Ninja" \
      -DCMAKE_INSTALL_PREFIX=${MINGW_PREFIX} \
      -DCMAKE_BUILD_TYPE=Release \
      ../CGAL-${pkgver}

  ${MINGW_PREFIX}/bin/cmake --build .
}

package() {
  cd "${srcdir}/build-${MSYSTEM}"
  DESTDIR="${pkgdir}" ${MINGW_PREFIX}/bin/cmake --install .
}
